Part Circle/fr: Difference between revisions

From FreeCAD Documentation
No edit summary
(Updating to match new version of source page)
Line 10: Line 10:
}}
}}


<div class="mw-translate-fuzzy">
{{GuiCommand/fr
{{GuiCommand/fr
|Name=Part Circle
|Name=Part Circle
Line 16: Line 17:
|Workbenches=[[Part_Workbench/fr|Part]]
|Workbenches=[[Part_Workbench/fr|Part]]
}}
}}
</div>


== Description ==
== Description ==


<div class="mw-translate-fuzzy">
Cette commande va créer une ligne courbe circulaire. Avec les valeurs par défaut, la ligne circulaire sera fermée et sera donc un cercle. Si les propriétés Angle 0 ou Angle 1 sont modifiés par rapport aux valeurs par défaut (0 et 360), le bord sera une courbe ouverte ou arc.
Cette commande va créer une ligne courbe circulaire. Avec les valeurs par défaut, la ligne circulaire sera fermée et sera donc un cercle. Si les propriétés Angle 0 ou Angle 1 sont modifiés par rapport aux valeurs par défaut (0 et 360), le bord sera une courbe ouverte ou arc.
</div>


A Part Circle is in fact a closed counterclockwise circular arc, it can be turned into an arc by changing its {{PropertyData|Angle1}} and/or {{PropertyData|Angle2}} properties.
Alternativement, un Cercle peut être défini à partir de trois points. Une fois créé le cercle ne contiendra que les propriétés Cercle standard et ne contient plus les références du point de sa création.


[[Image:Part_Circle_Example.png|400px]]
==Utilisation==


==Utilisation==
Une primitive géométrique Cercle est disponible dans la boîte de dialogue Créer des primitives dans l'atelier Part.

# Basculez vers l'[[Image:Workbench_Part.svg|24px]] [[Part_Workbench/fr|atelier Part]]
See [[Part_Primitives#Usage|Part Primitives]].
# Il existe plusieurs façons d'accéder à la boîte de dialogue Créer des primitives:

#* Appuyez sur le bouton [[Image:Part_Primitives.svg|24px]] [[Part_Primitives|Création de primitives géométriques]] situé dans la barre d'outils Part
A Part Circle can alternatively be created by selecting three points:
#* Utilisez la {{MenuCommand|Pièce → [[Part_Primitives/fr|Créer des primitives]] → Cercle}}
# In the task panel of the [[Image:Part_Primitives.svg|16px]] [[Part_Primitives|Part Primitives]] command select the {{MenuCommand|[[Image:Part_Circle.svg|16px]] Circle}} option from the dropdown list.
# Press the {{Button|From three points}} button.
# Select three vertices in the [[3D_view|3D view]]. There is no need to hold down the {{KEY|Ctrl}} key.
# A circle is created.
# The selected vertices are only used at creation time to calculate the {{PropertyData|Radius}} and {{PropertyData|Placement}} of the circle.

== Example ==

[[Image:Part_Circle_Scripting_Example.png|thumb|Part Circle from the scripting example]]

A Part Circle object created with the [[#Scripting|scripting example]] below is shown here.


==Propriétés==
==Propriétés==


See also: [[Property_editor|Property editor]].

A Part Circle object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:

=== Data ===

{{TitleProperty|Attachment}}

The object has the same attachment properties as a [[Part_Part2DObject#Data|Part Part2DObject]].

{{TitleProperty|Base}}

<div class="mw-translate-fuzzy">
* {{Parameter|Radius}}: Le rayon de la courbe ou du cercle (arc ou cercle)
* {{Parameter|Radius}}: Le rayon de la courbe ou du cercle (arc ou cercle)
* {{Parameter|Angle 0}}: Début de la courbe, (en degrés anti-horaire), la valeur par défaut est de 0°.
* {{Parameter|Angle 0}}: Début de la courbe, (en degrés anti-horaire), la valeur par défaut est de 0°.
* {{Parameter|Angle 1}}: Fin de la courbe, (en degrés anti-horaire), la valeur par défaut est de 360°.
* {{Parameter|Angle 1}}: Fin de la courbe, (en degrés anti-horaire), la valeur par défaut est de 360°.
</div>

== Scripting ==

See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation], [[Part_scripting|Part scripting]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].

A Part Circle can be created with the {{Incode|addObject()}} method of the document:

{{Code|code=
circle = FreeCAD.ActiveDocument.addObject("Part::Circle", "myCircle")
}}

* Where {{Incode|"myCircle"}} is the name for the object.
* The function returns the newly created object.

Example:

{{Code|code=
import FreeCAD as App

doc = App.activeDocument()

circle = doc.addObject("Part::Circle", "myCircle")
circle.Radius = 10
circle.Angle1 = 45
circle.Angle2 = 225
circle.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(30, 45, 10))

doc.recompute()
}}




Line 47: Line 105:
}}
}}


{{Part Tools navi{{#translation:}}}}
{{Part_Tools_navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Revision as of 10:24, 3 March 2022

Part Cercle

Emplacement du menu
Pièce → Créer des primitives → Cercle
Ateliers
Part
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Aucun

Description

Cette commande va créer une ligne courbe circulaire. Avec les valeurs par défaut, la ligne circulaire sera fermée et sera donc un cercle. Si les propriétés Angle 0 ou Angle 1 sont modifiés par rapport aux valeurs par défaut (0 et 360), le bord sera une courbe ouverte ou arc.

A Part Circle is in fact a closed counterclockwise circular arc, it can be turned into an arc by changing its DonnéesAngle1 and/or DonnéesAngle2 properties.

Utilisation

See Part Primitives.

A Part Circle can alternatively be created by selecting three points:

  1. In the task panel of the Part Primitives command select the Circle option from the dropdown list.
  2. Press the From three points button.
  3. Select three vertices in the 3D view. There is no need to hold down the Ctrl key.
  4. A circle is created.
  5. The selected vertices are only used at creation time to calculate the DonnéesRadius and DonnéesPlacement of the circle.

Example

Part Circle from the scripting example

A Part Circle object created with the scripting example below is shown here.

Propriétés

See also: Property editor.

A Part Circle object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Base

  • Radius: Le rayon de la courbe ou du cercle (arc ou cercle)
  • Angle 0: Début de la courbe, (en degrés anti-horaire), la valeur par défaut est de 0°.
  • Angle 1: Fin de la courbe, (en degrés anti-horaire), la valeur par défaut est de 360°.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Circle can be created with the addObject() method of the document:

circle = FreeCAD.ActiveDocument.addObject("Part::Circle", "myCircle")
  • Where "myCircle" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

circle = doc.addObject("Part::Circle", "myCircle")
circle.Radius = 10
circle.Angle1 = 45
circle.Angle2 = 225
circle.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(30, 45, 10))

doc.recompute()